Package org.pushingpixels.substance.api.combo

# Class WidestComboPopupPrototype

java.lang.Object
org.pushingpixels.substance.api.combo.WidestComboPopupPrototype

All Implemented Interfaces:
  `ComboPopupPrototypeCallback`

public class WidestComboPopupPrototype extends Object implements ComboPopupPrototypeCallback
Sample core implementation of `ComboPopupPrototypeCallback` interface that returns the widest combo entry. This class is part of officially supported API.

## Constructor Summary

Constructors
Constructor
Description
`WidestComboPopupPrototype()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getPopupPrototypeDisplayValue(JComboBox jc)`
Returns the prototype entry for combo popup of the specified combobox.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WidestComboPopupPrototype

public WidestComboPopupPrototype()

## Method Details

### getPopupPrototypeDisplayValue

public Object getPopupPrototypeDisplayValue(JComboBox jc)
Description copied from interface: `ComboPopupPrototypeCallback`
Returns the prototype entry for combo popup of the specified combobox.

Specified by:
  `getPopupPrototypeDisplayValue` in interface `ComboPopupPrototypeCallback`
Parameters:
  `jc` - Combo box.
Returns:
  Prototype entry for combo popup of the specified combobox.